Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
Halide::Runtime::Internal::device_copy Struct Reference

`#include <device_buffer_utils.h>`

## Public Attributes
uint64_t | src
uint64_t | dst
uint64_t | src_begin
uint64_t | dst_begin
uint64_t | extent [MAX_COPY_DIMS]
uint64_t | src_stride_bytes [MAX_COPY_DIMS]
uint64_t | dst_stride_bytes [MAX_COPY_DIMS]
uint64_t | chunk_size

## Detailed Description

Definition at line 33 of file device_buffer_utils.h.

## Member Data Documentation

## ◆ src

uint64_t Halide::Runtime::Internal::device_copy::src

Definition at line 35 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory(), Halide::Runtime::Internal::copy_memory_helper(), and Halide::Runtime::Internal::make_buffer_copy().

## ◆ dst

uint64_t Halide::Runtime::Internal::device_copy::dst

Definition at line 35 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory(), Halide::Runtime::Internal::copy_memory_helper(), and Halide::Runtime::Internal::make_buffer_copy().

## ◆ src_begin

uint64_t Halide::Runtime::Internal::device_copy::src_begin

Definition at line 37 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory(), and Halide::Runtime::Internal::make_buffer_copy().

## ◆ dst_begin

uint64_t Halide::Runtime::Internal::device_copy::dst_begin

Definition at line 37 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory(), and Halide::Runtime::Internal::make_buffer_copy().

## ◆ extent

uint64_t Halide::Runtime::Internal::device_copy::extent[MAX_COPY_DIMS]

Definition at line 39 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory_helper(), and Halide::Runtime::Internal::make_buffer_copy().

## ◆ src_stride_bytes

uint64_t Halide::Runtime::Internal::device_copy::src_stride_bytes[MAX_COPY_DIMS]

Definition at line 41 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory_helper(), and Halide::Runtime::Internal::make_buffer_copy().

## ◆ dst_stride_bytes

uint64_t Halide::Runtime::Internal::device_copy::dst_stride_bytes[MAX_COPY_DIMS]

Definition at line 42 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory_helper(), and Halide::Runtime::Internal::make_buffer_copy().

## ◆ chunk_size

uint64_t Halide::Runtime::Internal::device_copy::chunk_size

Definition at line 44 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory_helper(), and Halide::Runtime::Internal::make_buffer_copy().

The documentation for this struct was generated from the following file:

- src/runtime/device_buffer_utils.h